<template>
  <!-- <div> -->
  <el-aside width="200px" @mouseenter.native="handleOpen" @mouseleave.native="handleClose">
    <el-menu
      router
      class="el-menu-vertical-demo"
      @open="handleOpen"
      @close="handleClose"
      :collapse="isCollapse"
      :default-active="currentPath"
    >
      <el-menu-item index="/write" class="menu-item">
        <i class="el-icon-location"></i>
        <span slot="title" style="margin-left:15px">编辑</span>
      </el-menu-item>
      <el-menu-item index="/user" class="menu-item">
        <i class="el-icon-menu"></i>
        <span slot="title" style="margin-left:15px">用户</span>
      </el-menu-item>
      <el-menu-item index="/project" class="menu-item">
        <i class="el-icon-document"></i>
        <span slot="title" style="margin-left:15px">项目</span>
      </el-menu-item>
    </el-menu>
  </el-aside>
</template>

<script>
export default {
  name: "sideDrawer",
  data: () => ({
    currentPath: location.pathname,
    hover: false,
    isCollapse: true,
    collapseBtnClick: false
  }),
  methods: {
    handleOpen(key, keyPath) {
      console.log(key, keyPath);
      if (this.collapseBtnClick) return;
      this.isCollapse = false;
    },
    handleClose(key, keyPath) {
      console.log(key, keyPath);
      if (this.collapseBtnClick) return;
      this.isCollapse = true;
    },
    Fn(method) {
      this[method]();
    },
    to_project() {
      this.$router.push("/project");
    },
    to_project2() {
      this.$router.push("/project2");
    },
    to_write() {
      this.$router.push("write");
    },
    to_user() {
      this.$router.push("/user");
    },
    to_file() {
      this.$router.push("/file");
    },
    to_chat() {
      this.$router.push("/chat");
    }
  }
};
</script>

<style scoped>
.aaa {
  box-shadow: 0px 2px 4px -1px rgba(0, 0, 0, 0.2),
    0px 4px 5px 0px rgba(0, 0, 0, 0.14), 0px 1px 10px 0px rgba(0, 0, 0, 0.12);
  color: rgb(228, 223, 249);
}
.btn {
  position: fixed;
  left: -16px;
  z-index: 4;
}
.btn1 {
  bottom: 160px;
}
.btn2 {
  bottom: 88px;
}
.btn3 {
  bottom: 16px;
}
.sss {
  color: #f57ce1;
}
.ss {
  color: #b4fdff;
}
.s {
  color: #dd23be;
}
.el-menu-vertical-demo {
  top: 6%;
  height: 94%;
  min-width: 70px;
}
.el-menu-vertical-demo:not(.el-menu--collapse) {
  width: 170px;
  min-height: 400px;
}
.menu-item{
    margin-left: -20px;
    font-size:16px;
}
</style>
